<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="7e1c167192413ce2" weblate-flags="read-only, safe-html, strict-same">
        <source>= Avoiding Physical Dependency Some users, particularly library authors, may wish to provide conversions between their types and &lt;&lt;ref_value&gt;&gt;, but at the same time would prefer to avoid having their library depend on Boost.JSON. This is possible to achieve with the help of a few forward declarations.</source>
        <target state="translated">= Avoiding Physical Dependency Some users, particularly library authors, may wish to provide conversions between their types and &lt;&lt;ref_value&gt;&gt;, but at the same time would prefer to avoid having their library depend on Boost.JSON. This is possible to achieve with the help of a few forward declarations.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7d2eb861e2ca1657" weblate-flags="read-only, safe-html, strict-same">
        <source>Note that &lt;&lt;ref_value_from&gt;&gt; is declared using an out-parameter, rather then returning its result. This overload is specifically designed for this use-case.</source>
        <target state="translated">Note that &lt;&lt;ref_value_from&gt;&gt; is declared using an out-parameter, rather then returning its result. This overload is specifically designed for this use-case.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0beff759d4dd2eaf" weblate-flags="read-only, safe-html, strict-same">
        <source>After that the definitions of `tag_invoke` overloads should be provided. These overloads have to be templates, since &lt;&lt;ref_value&gt;&gt; is only forward-declared and hence is an incomplete type.</source>
        <target state="translated">After that the definitions of `tag_invoke` overloads should be provided. These overloads have to be templates, since &lt;&lt;ref_value&gt;&gt; is only forward-declared and hence is an incomplete type.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4d4f1ad1eac804aa" weblate-flags="read-only, safe-html, strict-same">
        <source>As discussed previously, we prefer to define a non-throwing overload of `tag_invoke` for &lt;&lt;ref_try_value_to&gt;&gt;, rather then the throwing overload for &lt;&lt;ref_value_to&gt;&gt;, as the latter can fallback to the former without performance degradation.</source>
        <target state="translated">As discussed previously, we prefer to define a non-throwing overload of `tag_invoke` for &lt;&lt;ref_try_value_to&gt;&gt;, rather then the throwing overload for &lt;&lt;ref_value_to&gt;&gt;, as the latter can fallback to the former without performance degradation.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">33</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6b25b22b40eb2d99" weblate-flags="read-only, safe-html, strict-same">
        <source>Forward declarations of contextual conversions are done very similarly:</source>
        <target state="translated">Forward declarations of contextual conversions are done very similarly:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
